diff --git a/doc/bash.0 b/doc/bash.0
index 3542cb61..8a3d8177 100644
--- a/doc/bash.0
+++ b/doc/bash.0
@@ -3752,196 +3753,196 @@ RREEAADDLLIINNEE
        uunnddoo ((CC--__,, CC--xx CC--uu))
               Incremental undo, separately remembered for each line.
        rreevveerrtt--lliinnee ((MM--rr))
-              Undo all changes made to this line.  This is like executing  the
-              uunnddoo  command  enough  times  to  return the line to its initial
+              Undo  all changes made to this line.  This is like executing the
+              uunnddoo command enough times to return  the  line  to  its  initial
               state.
        ttiillddee--eexxppaanndd ((MM--&&))
               Perform tilde expansion on the current word.
        sseett--mmaarrkk ((CC--@@,, MM--<<ssppaaccee>>))
-              Set the mark to the point.  If a numeric argument  is  supplied,
+              Set  the  mark to the point.  If a numeric argument is supplied,
               the mark is set to that position.
        eexxcchhaannggee--ppooiinntt--aanndd--mmaarrkk ((CC--xx CC--xx))
-              Swap  the  point  with the mark.  The current cursor position is
-              set to the saved position, and the old cursor position is  saved
+              Swap the point with the mark.  The current  cursor  position  is
+              set  to the saved position, and the old cursor position is saved
               as the mark.
        cchhaarraacctteerr--sseeaarrcchh ((CC--]]))
               A character is read and point is moved to the next occurrence of
-              that character.  A negative count searches for  previous  occur-
+              that  character.   A negative count searches for previous occur-
               rences.
        cchhaarraacctteerr--sseeaarrcchh--bbaacckkwwaarrdd ((MM--CC--]]))
-              A  character  is  read and point is moved to the previous occur-
-              rence of that character.  A negative count searches  for  subse-
+              A character is read and point is moved to  the  previous  occur-
+              rence  of  that character.  A negative count searches for subse-
               quent occurrences.
        sskkiipp--ccssii--sseeqquueennccee
-              Read  enough  characters to consume a multi-key sequence such as
-              those defined for keys like Home and End.  Such sequences  begin
+              Read enough characters to consume a multi-key sequence  such  as
+              those  defined for keys like Home and End.  Such sequences begin
               with a Control Sequence Indicator (CSI), usually ESC-[.  If this
-              sequence is bound to "\[", keys producing  such  sequences  will
-              have  no  effect  unless explicitly bound to a readline command,
-              instead of inserting stray characters into the  editing  buffer.
+              sequence  is  bound  to "\[", keys producing such sequences will
+              have no effect unless explicitly bound to  a  readline  command,
+              instead  of  inserting stray characters into the editing buffer.
               This is unbound by default, but usually bound to ESC-[.
        iinnsseerrtt--ccoommmmeenntt ((MM--##))
-              Without  a  numeric  argument,  the  value  of the readline ccoomm--
-              mmeenntt--bbeeggiinn variable is inserted at the beginning of the  current
+              Without a numeric argument,  the  value  of  the  readline  ccoomm--
+              mmeenntt--bbeeggiinn  variable is inserted at the beginning of the current
               line.  If a numeric argument is supplied, this command acts as a
-              toggle: if the characters at the beginning of the  line  do  not
-              match  the value of ccoommmmeenntt--bbeeggiinn, the value is inserted, other-
+              toggle:  if  the  characters at the beginning of the line do not
+              match the value of ccoommmmeenntt--bbeeggiinn, the value is inserted,  other-
               wise the characters in ccoommmmeenntt--bbeeggiinn are deleted from the begin-
-              ning  of the line.  In either case, the line is accepted as if a
-              newline had been typed.   The  default  value  of  ccoommmmeenntt--bbeeggiinn
-              causes  this  command  to make the current line a shell comment.
-              If a  numeric  argument  causes  the  comment  character  to  be
+              ning of the line.  In either case, the line is accepted as if  a
+              newline  had  been  typed.   The  default value of ccoommmmeenntt--bbeeggiinn
+              causes this command to make the current line  a  shell  comment.
+              If  a  numeric  argument  causes  the  comment  character  to be
               removed, the line will be executed by the shell.
        gglloobb--ccoommpplleettee--wwoorrdd ((MM--gg))
-              The  word  before  point  is  treated  as a pattern for pathname
-              expansion, with an asterisk implicitly appended.   This  pattern
-              is  used  to  generate a list of matching filenames for possible
+              The word before point is  treated  as  a  pattern  for  pathname
+              expansion,  with  an asterisk implicitly appended.  This pattern
+              is used to generate a list of matching  filenames  for  possible
               completions.
        gglloobb--eexxppaanndd--wwoorrdd ((CC--xx **))
-              The word before point is  treated  as  a  pattern  for  pathname
-              expansion,  and  the  list  of  matching  filenames is inserted,
-              replacing the word.  If  a  numeric  argument  is  supplied,  an
+              The  word  before  point  is  treated  as a pattern for pathname
+              expansion, and the  list  of  matching  filenames  is  inserted,
+              replacing  the  word.   If  a  numeric  argument is supplied, an
               asterisk is appended before pathname expansion.
        gglloobb--lliisstt--eexxppaannssiioonnss ((CC--xx gg))
-              The  list  of  expansions  that  would  have  been  generated by
-              gglloobb--eexxppaanndd--wwoorrdd is displayed, and the line is  redrawn.   If  a
-              numeric  argument  is  supplied,  an asterisk is appended before
+              The list  of  expansions  that  would  have  been  generated  by
+              gglloobb--eexxppaanndd--wwoorrdd  is  displayed,  and the line is redrawn.  If a
+              numeric argument is supplied, an  asterisk  is  appended  before
               pathname expansion.
        dduummpp--ffuunnccttiioonnss
-              Print all of the functions and their key bindings to  the  read-
+              Print  all  of the functions and their key bindings to the read-
               line output stream.  If a numeric argument is supplied, the out-
-              put is formatted in such a way that it can be made  part  of  an
+              put  is  formatted  in such a way that it can be made part of an
               _i_n_p_u_t_r_c file.
        dduummpp--vvaarriiaabblleess
               Print all of the settable readline variables and their values to
-              the readline output stream.  If a numeric argument is  supplied,
-              the  output  is formatted in such a way that it can be made part
+              the  readline output stream.  If a numeric argument is supplied,
+              the output is formatted in such a way that it can be  made  part
               of an _i_n_p_u_t_r_c file.
        dduummpp--mmaaccrrooss
-              Print all of the readline key sequences bound to macros and  the
-              strings  they  output.   If  a numeric argument is supplied, the
+              Print  all of the readline key sequences bound to macros and the
+              strings they output.  If a numeric  argument  is  supplied,  the
               output is formatted in such a way that it can be made part of an
               _i_n_p_u_t_r_c file.
        ddiissppllaayy--sshheellll--vveerrssiioonn ((CC--xx CC--vv))
               Display version information about the current instance of bbaasshh.
 
    PPrrooggrraammmmaabbllee CCoommpplleettiioonn
-       When  word  completion  is  attempted  for an argument to a command for
-       which a completion specification (a _c_o_m_p_s_p_e_c) has  been  defined  using
-       the  ccoommpplleettee  builtin (see SSHHEELLLL BBUUIILLTTIINN CCOOMMMMAANNDDSS below), the program-
+       When word completion is attempted for an  argument  to  a  command  for
+       which  a  completion  specification (a _c_o_m_p_s_p_e_c) has been defined using
+       the ccoommpplleettee builtin (see SSHHEELLLL BBUUIILLTTIINN CCOOMMMMAANNDDSS below),  the  program-
        mable completion facilities are invoked.
 
-       First, the command name is identified.  If  the  command  word  is  the
-       empty  string (completion attempted at the beginning of an empty line),
-       any compspec defined with the --EE option to  ccoommpplleettee  is  used.   If  a
-       compspec  has  been  defined  for that command, the compspec is used to
+       First,  the  command  name  is  identified.  If the command word is the
+       empty string (completion attempted at the beginning of an empty  line),
+       any  compspec  defined  with  the  --EE option to ccoommpplleettee is used.  If a
+       compspec has been defined for that command, the  compspec  is  used  to
        generate the list of possible completions for the word.  If the command
-       word  is  a full pathname, a compspec for the full pathname is searched
-       for first.  If no compspec is found for the full pathname,  an  attempt
-       is  made  to find a compspec for the portion following the final slash.
-       If those searches do not result in a  compspec,  any  compspec  defined
+       word is a full pathname, a compspec for the full pathname  is  searched
+       for  first.   If no compspec is found for the full pathname, an attempt
+       is made to find a compspec for the portion following the  final  slash.
+       If  those  searches  do  not result in a compspec, any compspec defined
        with the --DD option to ccoommpplleettee is used as the default.
 
-       Once  a  compspec  has  been  found, it is used to generate the list of
-       matching words.  If a compspec is not found, the default  bbaasshh  comple-
+       Once a compspec has been found, it is used  to  generate  the  list  of
+       matching  words.   If a compspec is not found, the default bbaasshh comple-
        tion as described above under CCoommpplleettiinngg is performed.
 
-       First,  the  actions  specified by the compspec are used.  Only matches
-       which are prefixed by the word being completed are returned.  When  the
-       --ff  or --dd option is used for filename or directory name completion, the
+       First, the actions specified by the compspec are  used.   Only  matches
+       which  are prefixed by the word being completed are returned.  When the
+       --ff or --dd option is used for filename or directory name completion,  the
        shell variable FFIIGGNNOORREE is used to filter the matches.
 
-       Any completions specified by a pathname expansion  pattern  to  the  --GG
+       Any  completions  specified  by  a pathname expansion pattern to the --GG
        option are generated next.  The words generated by the pattern need not
-       match the word being completed.  The GGLLOOBBIIGGNNOORREE shell variable  is  not
+       match  the  word being completed.  The GGLLOOBBIIGGNNOORREE shell variable is not
        used to filter the matches, but the FFIIGGNNOORREE variable is used.
 
-       Next,  the string specified as the argument to the --WW option is consid-
-       ered.  The string is first split using the characters in the  IIFFSS  spe-
-       cial  variable  as delimiters.  Shell quoting is honored.  Each word is
-       then expanded using brace expansion,  tilde  expansion,  parameter  and
-       variable  expansion, command substitution, and arithmetic expansion, as
+       Next, the string specified as the argument to the --WW option is  consid-
+       ered.   The  string is first split using the characters in the IIFFSS spe-
+       cial variable as delimiters.  Shell quoting is honored.  Each  word  is
+       then  expanded  using  brace  expansion, tilde expansion, parameter and
+       variable expansion, command substitution, and arithmetic expansion,  as
        described above under EEXXPPAANNSSIIOONN.  The results are split using the rules
        described above under WWoorrdd SSpplliittttiinngg.  The results of the expansion are
        prefix-matched against the word being completed, and the matching words
        become the possible completions.
 
-       After  these matches have been generated, any shell function or command
-       specified with the --FF and --CC options is invoked.  When the  command  or
+       After these matches have been generated, any shell function or  command
+       specified  with  the --FF and --CC options is invoked.  When the command or
        function is invoked, the CCOOMMPP__LLIINNEE, CCOOMMPP__PPOOIINNTT, CCOOMMPP__KKEEYY, and CCOOMMPP__TTYYPPEE
        variables are assigned values as described above under SShheellll VVaarriiaabblleess.
-       If  a  shell  function  is being invoked, the CCOOMMPP__WWOORRDDSS and CCOOMMPP__CCWWOORRDD
-       variables are also set.  When the function or command is  invoked,  the
-       first  argument  ($$11)  is  the  name of the command whose arguments are
-       being completed, the second argument ($$22) is the word being  completed,
-       and  the  third argument ($$33) is the word preceding the word being com-
+       If a shell function is being invoked,  the  CCOOMMPP__WWOORRDDSS  and  CCOOMMPP__CCWWOORRDD
+       variables  are  also set.  When the function or command is invoked, the
+       first argument ($$11) is the name of  the  command  whose  arguments  are
+       being  completed, the second argument ($$22) is the word being completed,
+       and the third argument ($$33) is the word preceding the word  being  com-
        pleted on the current command line.  No filtering of the generated com-
        pletions against the word being completed is performed; the function or
        command has complete freedom in generating the matches.
 
-       Any function specified with --FF is invoked first.  The function may  use
-       any  of  the  shell facilities, including the ccoommppggeenn builtin described
-       below, to generate the matches.  It must put the  possible  completions
+       Any  function specified with --FF is invoked first.  The function may use
+       any of the shell facilities, including the  ccoommppggeenn  builtin  described
+       below,  to  generate the matches.  It must put the possible completions
        in the CCOOMMPPRREEPPLLYY array variable, one per array element.
 
-       Next,  any  command specified with the --CC option is invoked in an envi-
-       ronment equivalent to command substitution.  It should print a list  of
-       completions,  one  per  line, to the standard output.  Backslash may be
+       Next, any command specified with the --CC option is invoked in  an  envi-
+       ronment  equivalent to command substitution.  It should print a list of
+       completions, one per line, to the standard output.   Backslash  may  be
        used to escape a newline, if necessary.
 
-       After all of the possible completions are generated, any filter  speci-
-       fied  with  the --XX option is applied to the list.  The filter is a pat-
-       tern as used for pathname expansion; a && in  the  pattern  is  replaced
-       with  the text of the word being completed.  A literal && may be escaped
-       with a backslash; the backslash is removed before attempting  a  match.
-       Any  completion that matches the pattern will be removed from the list.
+       After  all of the possible completions are generated, any filter speci-
+       fied with the --XX option is applied to the list.  The filter is  a  pat-
+       tern  as  used  for  pathname expansion; a && in the pattern is replaced
+       with the text of the word being completed.  A literal && may be  escaped
+       with  a  backslash; the backslash is removed before attempting a match.
+       Any completion that matches the pattern will be removed from the  list.
        A leading !! negates the pattern; in this case any completion not match-
-       ing  the  pattern  will be removed.  If the nnooccaasseemmaattcchh shell option is
-       enabled, the match is performed without regard to the  case  of  alpha-
+       ing the pattern will be removed.  If the nnooccaasseemmaattcchh  shell  option  is
+       enabled,  the  match  is performed without regard to the case of alpha-
        betic characters.
 
        Finally, any prefix and suffix specified with the --PP and --SS options are
        added to each member of the completion list, and the result is returned
        to the readline completion code as the list of possible completions.
 
-       If  the previously-applied actions do not generate any matches, and the
-       --oo ddiirrnnaammeess option was supplied  to  ccoommpplleettee  when  the  compspec  was
+       If the previously-applied actions do not generate any matches, and  the
+       --oo  ddiirrnnaammeess  option  was  supplied  to  ccoommpplleettee when the compspec was
        defined, directory name completion is attempted.
 
-       If  the  --oo  pplluussddiirrss option was supplied to ccoommpplleettee when the compspec
+       If the --oo pplluussddiirrss option was supplied to ccoommpplleettee  when  the  compspec
        was defined, directory name completion is attempted and any matches are
        added to the results of the other actions.
 
-       By  default,  if a compspec is found, whatever it generates is returned
-       to the completion code as the full set of  possible  completions.   The
+       By default, if a compspec is found, whatever it generates  is  returned
+       to  the  completion  code as the full set of possible completions.  The
        default bbaasshh completions are not attempted, and the readline default of
        filename completion is disabled.  If the --oo bbaasshhddeeffaauulltt option was sup-
-       plied  to ccoommpplleettee when the compspec was defined, the bbaasshh default com-
+       plied to ccoommpplleettee when the compspec was defined, the bbaasshh default  com-
        pletions are attempted if the compspec generates no matches.  If the --oo
-       ddeeffaauulltt  option was supplied to ccoommpplleettee when the compspec was defined,
-       readline's default completion will be performed if the  compspec  (and,
+       ddeeffaauulltt option was supplied to ccoommpplleettee when the compspec was  defined,
+       readline's  default  completion will be performed if the compspec (and,
        if attempted, the default bbaasshh completions) generate no matches.
 
-       When  a  compspec  indicates that directory name completion is desired,
-       the programmable completion functions force readline to append a  slash
-       to  completed names which are symbolic links to directories, subject to
-       the value of the mmaarrkk--ddiirreeccttoorriieess readline variable, regardless of  the
+       When a compspec indicates that directory name  completion  is  desired,
+       the  programmable completion functions force readline to append a slash
+       to completed names which are symbolic links to directories, subject  to
+       the  value of the mmaarrkk--ddiirreeccttoorriieess readline variable, regardless of the
        setting of the mmaarrkk--ssyymmlliinnkkeedd--ddiirreeccttoorriieess readline variable.
 
-       There  is  some support for dynamically modifying completions.  This is
-       most useful when used in combination with a default  completion  speci-
-       fied  with  ccoommpplleettee --DD.  It's possible for shell functions executed as
-       completion handlers to indicate that completion should  be  retried  by
-       returning  an exit status of 124.  If a shell function returns 124, and
+       There is some support for dynamically modifying completions.   This  is
+       most  useful  when used in combination with a default completion speci-
+       fied with ccoommpplleettee --DD.  It's possible for shell functions  executed  as
+       completion  handlers  to  indicate that completion should be retried by
+       returning an exit status of 124.  If a shell function returns 124,  and
        changes the compspec associated with the command on which completion is
-       being  attempted  (supplied  as the first argument when the function is
+       being attempted (supplied as the first argument when  the  function  is
        executed), programmable completion restarts from the beginning, with an
-       attempt  to find a new compspec for that command.  This allows a set of
-       completions to be built dynamically as completion is attempted,  rather
+       attempt to find a new compspec for that command.  This allows a set  of
+       completions  to be built dynamically as completion is attempted, rather
        than being loaded all at once.
 
-       For  instance, assuming that there is a library of compspecs, each kept
-       in a file corresponding to the  name  of  the  command,  the  following
+       For instance, assuming that there is a library of compspecs, each  kept
+       in  a  file  corresponding  to  the  name of the command, the following
        default completion function would load completions dynamically:
 
        _completion_loader()
